$max-font-size: 100 !default;
$min-font-size: 0 !default;
$font-sizes: () !default;

@if length($font-sizes) == 0 {
  @for $size from $max-font-size through $min-font-size {
    $font-sizes: append($font-sizes, $size);
  }
}

@each $breakpoint in map-keys($grid-breakpoints) {
  @include media-breakpoint-up($breakpoint) {
    $infix: breakpoint-infix($breakpoint, $grid-breakpoints);

    @each $size in $font-sizes {
      .font-size#{$infix}-#{$size} { font-size: #{$size}px !important; }
    }
  }
}
